<#if editor?? && editor.render??> 
    ${editor.render.code}
<#else>
<app-rate 
    name="${editor.name}"
    style="${editor.getEditorCssStyle()}"
    :value="layoutData.${editor.name}" 
    :disabled="layoutModelDetails.${editor.name}.disabled" 
<#if item.getEditorParam('max','') != ''>
    :max="${item.getEditorParam('max','')}"
</#if>
<#if item.getPSCodeList?? && item.getPSCodeList()??>
  <#assign codelist=item.getPSCodeList()>
    tag="${codelist.codeName}"
    codelistType="${codelist.getCodeListType()}"
  <#if codelist.getValueSeparator?? && codelist.getValueSeparator()?? && codelist.getValueSeparator() != ''>
    valueSeparator="${codelist.getValueSeparator()}"
  </#if>
</#if> 
    @change="(value) => handleValueChange({ name: '${editor.name}', value})">
</app-rate>
</#if>